Bill against price models, and automatically create an invoice and subscription as neededAsk AIpost https://api.tryaqueduct.com/v1/billBody ParamscustomerIdstringrequiredId of the account owner being billedproductIdstringrequiredId of the Product being billed forpriceModelIdstringId of the PriceModel being billed for. Either priceModelId or oneOffLineItems must be provided.dueDatestring(Optional) The date that the generated invoice, if any, should be due. Defaults to 30 days afteroneOffLineItemsarray of objectsoneOffLineItemsADD objectfirstBillingDatedateThe date of the first full invoice and anchors subsequent invoices on the the day of the month. For example, a $30 dollar monthly recurring bill that is sent in the middle of April with an billing cycle anchor of May 1st would result in an invoice created immediately for $15 and then another $30 invoice sent out on May 1st.variablesobjectAn object representing the arguments supplied to the PriceModel. Each key in the object is a NamedPriceFunction Id, and the value is an object representing the arguments to that specific NamedPriceFunction.variables objectmetadataobjectAn object representing additional metadata to be attached to any invoices that are created from /bill/metadata objectinArrearsbooleanTrue means that any subscription created will be billed in arrears i.e. at the end of the billing cycle. False means the subscription will be billed at the beginning of the billing cycle.truetruefalsedescriptionstringA description that will be added as the invoice memocontractStartDatedateTime at which the contract started or is scheduled to start. Used for revenue recognition, and in the case of a subscription, also used for backdating the start date.contractEndDatedateTime at which the contract is scheduled to end.invoiceAsDraftbooleanTrue by default - any invoices created are a draft invoice and must be sent/finalized first. False means we create a finalized invoicetruetruefalseResponse 200Successfully billed the AccountOwner. Will create an invoice or subscription, depending on the price model provided.Updated over 3 years ago